class Where(object):
    """
    Abstraction to represent where-clause
    """
    def __init__(self):
        self.clauses = []
        self.params = []

    def add_clause(self, clause, params):
        self.clauses.append(clause)
        self.params.extend(params)

    @property
    def clause(self):
        return " AND ".join(self.clauses)